"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LapalaObject = exports.LapalaPropertyValues = exports.LapalaValue = void 0;
const zod_1 = require("zod");
exports.LapalaValue = zod_1.z.union([zod_1.z.string(), zod_1.z.number(), zod_1.z.boolean()]);
exports.LapalaPropertyValues = zod_1.z.union([
    zod_1.z.string().or(zod_1.z.null()).array(),
    zod_1.z.number().or(zod_1.z.null()).array(),
    zod_1.z.boolean().or(zod_1.z.null()).array(),
]);
exports.LapalaObject = zod_1.z.lazy(() => zod_1.z.record(exports.LapalaObject.array().or(exports.LapalaPropertyValues)));
